Bug 64259 - minor fix in Makefile.in for supporting cross-compiling
minor fix in Makefile.in for supporting cross-compiling
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-30 15:51 EDT by Amy Lin
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-30 15:53:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
put a quote around $CC in the Makefile to support long CC definition for cross-compiling (848 bytes, patch)
2002-04-30 15:53 EDT, Amy Lin
no flags Details | Diff

  None (edit)
Description Amy Lin 2002-04-30 15:51:41 EDT
Description of Problem: building fails if CC="gcc -xxx -xxx"
easy fix by put quote, i.e.  CC="$CC" , please see the attached patch file.


Version-Release number of selected component (if applicable):
2.3.4-0.8

How Reproducible: Always


Steps to Reproduce:
1. assign CC=gcc -L/usr/lib -I/usr/inlcude
2. export it
3. building package

Actual Results:


Expected Results:


Additional Information:
Comment 1 Amy Lin 2002-04-30 15:53:13 EDT
Created attachment 55927 [details]
put a quote around $CC in the Makefile to support long CC definition for cross-compiling
Comment 2 Trond Eivind Glomsrxd 2002-07-17 16:52:13 EDT
Added to xinetd-2.3.5-5

Note You need to log in before you can comment on or make changes to this bug.